From f2efdaee99942b10b26c131836c16fb57375d5e1 Mon Sep 17 00:00:00 2001
From: Ashutosh Bapat <ashutosh.bapat.oss@gmail.com>
Date: Wed, 26 Mar 2025 18:26:14 +0530
Subject: [PATCH 6/6] Use list_free() instead of pfree().

---
 src/backend/optimizer/path/equivclass.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/backend/optimizer/path/equivclass.c b/src/backend/optimizer/path/equivclass.c
index 1ffd2ce0a04..823eaf6d43e 100644
--- a/src/backend/optimizer/path/equivclass.c
+++ b/src/backend/optimizer/path/equivclass.c
@@ -3467,7 +3467,7 @@ dispose_eclass_member_iterator(EquivalenceMemberIterator *it)
 	 * advantage of speculative execution.
 	 */
 	if (unlikely(it->list_is_copy))
-		pfree(it->ec_members);
+		list_free(it->ec_members);
 }
 
 
-- 
2.34.1

